#
# spec file for package python-interlude
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-interlude
Version:        1.3.1
Release:        lp152.3.2
Url:            http://github.com/collective/interlude
Summary:        Interlude for Doctests provides an Interactive Console
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/i/interlude/interlude-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Recommends:     IPython
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Provides an interactive shell aka console inside your doctest case.
    
The console looks exact like in a doctest-case and you can copy and paste
code from the shell into your doctest. It feels as you are in the test case 
itself. Its not pdb, it's a python shell. 

In your doctest you can invoke the shell at any point by calling::
        
    >>> interact( locals() )        

To make your testrunner interlude aware following is needed:

%prep
%setup -q -n interlude-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.rst README.rst
%{python_sitelib}/*

%changelog
* Wed May  6 2015 benoit.monin@gmx.fr
- update to version 1.3.1:
  * refactoring introduced bug: classic prompt use_ipython=False
    fails if IPython available
- additional changes from version 1.3:
  * needs IPython 1.1.0 or better. Skipped support for older
    versions.
  * added extra require, so when ipython is wanted just depend in
    buildout, pip-requirements, setup, (name it) on
    interlude[ipython]
  * start IPython shell with a custom doctest prompt, thus it is
    easier to copy-paste from the shell to the doctest
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 1.2
  + make the ipython support work with newer ipython versions
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Mar 14 2012 saschpe@suse.de
- Use license mentioned in README.rst
* Mon Mar 12 2012 saschpe@suse.de
- Initial version
